Skip to main content
POST
Continue a task

Authorizations

X-API-Key
string
header
default:YOUR_AUTUMN_API_KEY
required

Your Autumn API key.

Path Parameters

task_id
string
required

The task_id returned by POST /task or POST /task/start.

Example:

"8fab6f34"

Body

application/json
message
string
required

What to change, add, or continue.

Minimum string length: 1
Example:

"Add founder LinkedIn URLs for all existing rows, then continue until there are 25 rows."

input_files
string[] | null

Task-local filenames returned by POST /validate-upload.

wait
boolean
default:false

Wait for the turn to finish (200). Default false: queue and return (202).

Response

Turn finished (wait: true).

task_id
string
required
Example:

"8fab6f34"

name
string | null
Example:

"Series A AI security companies"

status
string | null

plan (idle, or finished), execute (working), accepted (queued), deleted.

Example:

"execute"

phase
enum<string> | null
Available options:
plan,
execute
Example:

"execute"

activity
string | null

idle, planning, executing or thinking. Finished is idle.

Example:

"executing"

output_count
integer | null
Example:

10

credits_used
integer | null
created_at
string | null
updated_at
string | null
poll_after_s
integer | null

Seconds to wait before polling status again.

Example:

5

status_url
string | null
Example:

"/task/8fab6f34/state"

task_url
string | null
Example:

"/task/8fab6f34"

output_url
string | null
Example:

"/task/8fab6f34/output"

stream_url
string | null
Example:

"/task/8fab6f34/stream"